Predefined Exceptions
Exception::__construct
Predefined Exceptions
PHP Manual

# Exception

## Wstęp

Exception is the base class for all Exceptions.

## Krótki opis klasy

Exception
Exception {
/* Properties */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Methods */
public __construct ([ string `$message` = "" [, int `$code` = 0 [, Exception `$previous` = NULL ]]] )
final public string getMessage ( void )
final public Exception getPrevious ( void )
final public int getCode ( void )
final public string getFile ( void )
final public int getLine ( void )
final public array getTrace ( void )
final public string getTraceAsString ( void )
public string __toString ( void )
final private void __clone ( void )
}

## Właściwości

message

  The exception message

string

  Internal Exception name

code

  The Exception code

file

  The filename where the exception was thrown

line

  The line where the exception was thrown

trace

  The stack trace

## Spis treści

- Exception::__construct — Construct the exception
- Exception::getMessage — Gets the Exception message
- Exception::getPrevious — Returns previous Exception
- Exception::getCode — Gets the Exception code
- Exception::getFile — Gets the file in which the exception occurred
- Exception::getLine — Gets the line in which the exception occurred
- Exception::getTrace — Gets the stack trace
- Exception::getTraceAsString — Gets the stack trace as a string
- Exception::__toString — String representation of the exception
- Exception::__clone — Clone the exception

Predefined Exceptions
Exception::__construct
Predefined Exceptions
PHP Manual